OpenPACE: eac_ctx Struct Reference

OpenPACE

Public Member Functions | Data Fields
eac_ctx Struct Reference

Context for the Extended Access Control protocol. More...

`#include <eac.h>`

## Public Member Functions
| STACK_OF (PACE_CTX *) pace_ctxs
| stack of available Password Authenticated Connection Establishment configurations
| STACK_OF (RI_CTX *) ri_ctxs
| stack of available Restricted Identification configurations
| STACK_OF (CA_CTX *) ca_ctxs
| stack of available Chip Authentication configurations

## Data Fields
enum eac_tr_version | tr_version
| Perform EAC conforming to this version of TR-03110.
BN_CTX * | bn_ctx
| Context for various operations with `BIGNUM` objects.
EVP_MD_CTX * | md_ctx
| Context for various hashing operations.
EVP_CIPHER_CTX * | cipher_ctx
| Context for various cipher operations.
PACE_CTX * | pace_ctx
| Context for the currently selected Password Authenticated Connection Establishment protocol. More...
RI_CTX * | ri_ctx
| Context for the currently selected Restricted Identification protocol. More...
TA_CTX * | ta_ctx
| Context for the currently selected Terminal Authentication protocol.
CA_CTX * | ca_ctx
| Context for the currently selected Chip Authentication protocol. More...
KA_CTX * | key_ctx
| Context for currently selected secure messaging established with PACE or CA.
BIGNUM * | ssc
| Send sequence counter.

## Detailed Description

Context for the Extended Access Control protocol.

Definition at line 342 of file eac.h.

## Field Documentation

## ◆ ca_ctx

CA_CTX* eac_ctx::ca_ctx

Context for the currently selected Chip Authentication protocol.

Points to an element of `ca_ctxs`

Definition at line 368 of file eac.h.

## ◆ pace_ctx

PACE_CTX* eac_ctx::pace_ctx

Context for the currently selected Password Authenticated Connection Establishment protocol.

Points to an element of `pace_ctxs`

Definition at line 354 of file eac.h.

## ◆ ri_ctx

RI_CTX* eac_ctx::ri_ctx

Context for the currently selected Restricted Identification protocol.

Points to an element of `ri_ctxs`

Definition at line 360 of file eac.h.

The documentation for this struct was generated from the following file:

- eac/eac.h